## ispell-uk 1.4.0

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,8 @@
 
 VERSION=$(shell cat ./VERSION)
 
-ISPELLDIR = /usr/lib/ispell
+#ISPELLDIR = /usr/lib/ispell
+ISPELLDIR = $(shell ispell -d stupidd 2>&1 | sed "s/^[^/]*(\/.*\/)stupidd.*$/\1/")
 #MYSPELLDIR = /usr/share/dict/ooo
 #MYSPELLDIR = /usr/share/myspell/dicts
 MYSPELLDIR=`bin/find_myspell_dir.sh`
@@ -19,11 +20,15 @@
 MYSPELL_DIST = $(DIST)/myspell-uk-$(VERSION)
 MYSPELL_DICT_LST = $(PREFIX)$(MYSPELLDIR)/dictionary.lst
 MYSPELL_DOC_DIR = /usr/share/doc/ispell-uk_UA-$(VERSION)
+
+XPI_DIST = $(DIST)/mozilla-xpi-uk-$(VERSION)
+
 
 #TODO: created this dirs only for particular target
 $(shell mkdir -p $(ASPELL_DIST))
 $(shell mkdir -p $(ISPELL_DIST))
 $(shell mkdir -p $(MYSPELL_DIST))
+$(shell mkdir -p $(XPI_DIST)/dictionaries)
 
 KOI8U_SET = koi8-u-nl.cset
 KOI8U_MAP = koi8-u-nl.cmap
@@ -37,7 +42,7 @@
 CLEANFILES += aspell-uk-*.tgz myspell_uk_UA-*.zip ispell-uk-*.tgz
 CLEANFILES += spell*.tgz
 
-CLEANDIRS = aspell-uk-* ispell-uk-* dist/*spell*
+CLEANDIRS = aspell-uk-* ispell-uk-* dist/*spell* dist/*mozilla*
 
 iconv	= iconv
 
@@ -47,16 +52,28 @@
 
 all: 		aspell myspell ispell
 
+packages:	aspell-rpm ispell-rpm myspell-rpm myspell-zip mozilla-xpi
+
 install:	install-aspell
 
 install-all:	install-aspell install-myspell install-ispell
+
+.PHONY: words affixes
 
 
 #
 # aspell rules
 # 
-aspell:		$(ASPELL_DIST)/uk.rws $(ASPELL_DIST)/uk_affix.dat $(ASPELL_DIST)/uk.dat uk.multi ukrainian.alias $(ASPELL_DIST)/ukrainian.kbd
+#aspell:		$(ASPELL_DIST)/uk.rws $(ASPELL_DIST)/uk_affix.dat $(ASPELL_DIST)/uk.dat uk.multi ukrainian.alias $(ASPELL_DIST)/ukrainian.kbd
+aspell:		$(ASPELL_DIST)/uk.rws $(ASPELL_DIST)/uk.dat uk.multi ukrainian.alias $(ASPELL_DIST)/ukrainian.kbd
 	cp -u uk.multi ukrainian.alias $(ASPELL_DIST)
+
+affixes:
+	make -C src/Affix
+
+words:
+	make -C src/Dictionary
+
 
 aspell-tar:	$(DIST)/aspell-uk-$(VERSION).tgz
 
@@ -82,14 +99,15 @@
 
 # dependecies for aspell
 uk.cwl:		$(wordlist_src)
-	$(iconv) -f $(SOURCE_ENC) -t $(ASPELL_ENC) < $(wordlist_src) | word-list-compress c > uk.cwl
+	$(iconv) -f $(SOURCE_ENC) -t $(ASPELL_ENC) < $(wordlist_src) | LC_COLLATE=C sort | LC_COLLATE=C word-list-compress c > uk.cwl
+
 
 uk.cwl.gz:	uk.cwl
 	gzip -9 < uk.cwl > uk.cwl.gz
 
-$(ASPELL_DIST)/uk.rws:		$(wordlist_src) $(ASPELL_DIST)/uk_affix.dat $(ASPELL_DIST)/uk.dat $(KOI8U_SET) $(KOI8U_MAP)
+$(ASPELL_DIST)/uk.rws:	affixes words $(wordlist_src) $(ASPELL_DIST)/uk_affix.dat $(ASPELL_DIST)/uk.dat $(KOI8U_SET) $(KOI8U_MAP)
 	cp -u $(KOI8U_SET) $(KOI8U_MAP) $(ASPELL_DIST)
-	$(iconv) -f $(SOURCE_ENC) -t $(ASPELL_ENC) < $(wordlist_src) | \
+	cat $(wordlist_src) | $(iconv) -f $(SOURCE_ENC) -t $(ASPELL_ENC) | \
 	    aspell --local-data-dir=$(ASPELL_DIST) --lang=uk create master ./$@
 
 $(ASPELL_DIST)/uk_affix.dat:	$(affixfile_src) encodings.inc
@@ -104,7 +122,6 @@
 # *.kbd file should be always in UTF-8
 $(ASPELL_DIST)/ukrainian.kbd:	ukrainian.kbd
 	cp -u $< $@
-
 
 #
 # myspell rules
@@ -143,6 +160,13 @@
 	wc -l < $(wordlist_src) > $@
 	cat $(wordlist_src) | $(iconv) -f $(SOURCE_ENC) -t $(MYSPELL_ENC) >> $@
 
+mozilla-xpi:	myspell
+	cp $(MYSPELL_DIST)/uk_UA.aff $(XPI_DIST)/dictionaries/uk-UA.aff
+	cp $(MYSPELL_DIST)/uk_UA.dic $(XPI_DIST)/dictionaries/uk-UA.dic
+	cat src/mozilla/README_uk_UA.txt.header src/myspell/README_uk_UA.txt > $(XPI_DIST)/dictionaries/README_uk_UA.txt
+	cp COPYING.LGPL $(XPI_DIST)/dictionaries/
+	cp src/mozilla/install* $(XPI_DIST)
+	cd $(XPI_DIST) && zip -r ukrainian_dictionary-$(VERSION)-fx+zm+tb.xpi * && cd ..
 
 #
 # ispell rules
@@ -169,7 +193,7 @@
 
 # dependencies for ispell
 $(ISPELL_DIST)/ukrainian.aff:	$(affixfile_src) bin/affconv.pl src/ispell/ispell.header encodings.inc
-	(cat src/ispell/ispell.header && perl bin/affconv.pl < $(affixfile_src)) | $(iconv) -f $(SOURCE_ENC) -t $(ISPELL_ENC) > $@
+	(cat src/ispell/ispell.header && grep -v "REP" $(affixfile_src) | perl bin/affconv.pl ) | $(iconv) -f $(SOURCE_ENC) -t $(ISPELL_ENC) > $@
 
 $(ISPELL_DIST)/uk_words.enc:	$(wordlist_src) encodings.inc
 	$(iconv) -f $(SOURCE_ENC) -t $(ISPELL_ENC) < $(wordlist_src) > $@
@@ -203,7 +227,7 @@
 
 # regression test
 #
-regtest:	uk.rws uk_words.lst
+regtest:	aspell $(wordlist_src)
 	make -C test regtest
 
 regtestroll:
@@ -211,7 +235,7 @@
 
 
 srctar: clean
-	tar cfz $(DIST)/spell-uk-$(VERSION).tgz --exclude=test/all* --exclude=dist/*spell* --exclude=CVS --exclude=.cvsignore *
+	tar cfz $(DIST)/spell-uk-$(VERSION).tgz --exclude=test/all* --exclude=dist/*spell* --exclude=*.old --exclude=src_text --exclude=CVS --exclude=--exclude=.* *
 	mkdir -p $(DIST)/spell-uk-$(VERSION)
 	tar xCfz $(DIST)/spell-uk-$(VERSION) $(DIST)/spell-uk-$(VERSION).tgz
 	tar cCfz $(DIST) $(DIST)/spell-uk-$(VERSION).tgz spell-uk-$(VERSION)
