=== test/Makefile ===
include ../encodings.inc

LC_ALL	= LC_ALL=uk_UA.$(SOURCE_ENC)
sort	= $(LC_ALL) sort
spcr	= tr ' ' '\n'

CLEANFILES	= *.lst *.srt *.diff *.dups *.nodups
DISTCLEANFILES	= *.old

wordlist_src = ../src/Dictionary/uk_words.lst
iconv	= iconv

VERSION=$(shell cat ../VERSION)
DIST = ../dist
ASPELL_DIST = $(DIST)/aspell-uk-$(VERSION)
ASPELL_DICT = $(shell pwd)/../dist/aspell-uk-$(VERSION)


all: 	regtest-aspell

#	cat $(wordlist_src) | $(LC_ALL) aspell expand -l uk --local-data-dir=../ > all_aspell.lst
all_aspell_lst:
	make -C ..
	cat $(wordlist_src) | aspell expand -l uk --local-data-dir=$(ASPELL_DIST) --encoding=$(SOURCE_ENC) > all_aspell.lst

regtest:	all_aspell_lst
	cat all_aspell.lst | $(spcr) | $(sort) > all_aspell.srt
	cat all_aspell.srt | uniq > all_aspell.srt.nodups
	cat all_aspell.srt | uniq -d -c > all_aspell.srt.dups
	-diff all_aspell.srt.nodups.old all_aspell.srt.nodups > all_aspell.srt.nodups.diff
	-diff all_aspell.srt.dups.old all_aspell.srt.dups > all_aspell.srt.dups.diff


regtestroll:
	-[ -f all_aspell.srt.nodups ] && mv -f all_aspell.srt.nodups all_aspell.srt.nodups.old
	-[ -f all_aspell.srt.dups ] && mv -f all_aspell.srt.dups all_aspell.srt.dups.old
	-[ -f Malyk.lst ] && mv -f Malyk.lst Malyk.lst.old
	-[ -f ZN.lst ] && mv -f ZN.lst ZN.lst.old

text:
	cat src_text/Malyk.txt | LC_ALL=uk_UA.UTF-8 aspell list -l uk --dict-dir=$(ASPELL_DICT) | LC_ALL=uk_UA.UTF-8 sort | LC_ALL=uk_UA.UTF-8 uniq -i > Malyk.lst
	cat src_text/ZN.txt | LC_ALL=uk_UA.UTF-8 aspell list -l uk --dict-dir=$(ASPELL_DICT) | LC_ALL=uk_UA.UTF-8 sort | LC_ALL=uk_UA.UTF-8 uniq -i > ZN.lst

text_regtest:	text
	-diff Malyk.lst.old Malyk.lst > Malyk.diff
	-diff ZN.lst.old ZN.lst > ZN.diff
	

reverse:	all_aspell.srt
	 iconv -f UTF-8 -t KOI8-U all_aspell.srt | LC_ALL=uk_UA.KOI8-U perl -ne 'print scalar reverse $$_;' | LANG=uk_UA.KOI8-U sort | LC_ALL=uk_UA.KOI8-U perl -ne 'print scalar reverse $$_;' | iconv -f KOI8-U -t UTF-8 > all_spell.reverse.lst


clean:
	rm -f $(CLEANFILES)


distclean:
	rm -f $(CLEANFILES) $(DISTCLEANFILES)


.PHONY: all regtest regtestroll clean clean_all all_spell_lst
