## ispell-uk 1.5.0

=== Makefile ===
--- 
+++ 
@@ -52,7 +52,7 @@
 
 all: 		aspell myspell ispell
 
-packages:	aspell-rpm ispell-rpm myspell-rpm myspell-zip mozilla-xpi
+packages:	aspell-rpm myspell-rpm myspell-zip mozilla-xpi
 
 install:	install-aspell
 
@@ -68,6 +68,9 @@
 aspell:		$(ASPELL_DIST)/uk.rws $(ASPELL_DIST)/uk.dat uk.multi ukrainian.alias $(ASPELL_DIST)/ukrainian.kbd
 	cp -u uk.multi ukrainian.alias $(ASPELL_DIST)
 
+$(ASPELL_DIST)/uk_repl.dat:
+	cp -u uk_repl.dat $(ASPELL_DIST)
+
 affixes:
 	make -C src/Affix
 
@@ -82,7 +85,7 @@
 	cp -u README Copyright $(ASPELL_DIST)
 	cp -u README.uk COPYING.* TODO $(ASPELL_DIST)/doc
 	cp -u src/aspell/aspell.net/misc/*.txt $(ASPELL_DIST)/misc
-	tar cCvfz $(DIST) $@ aspell-uk-$(VERSION)
+	tar cCvfz $(DIST) --owner=root --group=root $@ aspell-uk-$(VERSION)
 
 aspell-rpm:	srctar
 	bin/make_rpm.sh aspell-uk $(VERSION)
@@ -122,6 +125,12 @@
 # *.kbd file should be always in UTF-8
 $(ASPELL_DIST)/ukrainian.kbd:	ukrainian.kbd
 	cp -u $< $@
+
+# official aspell.net package
+
+aspell.net:
+	wget ftp://ftp.gnu.org/gnu/aspell/aspell-lang-20040810.tar.bz2
+	aspell-lang-20040810/aspell-lang
 
 #
 # myspell rules
@@ -152,7 +161,7 @@
 
 # myspell dependencies
 $(MYSPELL_DIST)/uk_UA.aff:	$(affixfile_src) src/myspell/myspell.header encodings.inc
-	sed s/xxENCODINGxx/$(MYSPELL_ENC_NAME)/ < src/myspell/myspell.header > tmp.header
+	sed s/xxENCODINGxx/UTF-8/ < src/myspell/myspell.header > tmp.header
 	cat tmp.header $(affixfile_src) | $(iconv) -f $(SOURCE_ENC) -t $(MYSPELL_ENC) > $@
 	-rm tmp.header
 
@@ -186,7 +195,7 @@
 $(DIST)/ispell-uk-$(VERSION).tgz: ispell
 	mkdir -p $(ISPELL_DIST)/doc
 	cp -u src/ispell/README Copyright COPYING.* $(ISPELL_DIST)/doc
-	tar cCvfz $(DIST) $@ --exclude='*.enc*' ispell-uk-$(VERSION)
+	tar cCvfz $(DIST) --owner=root --group=root $@ --exclude='*.enc*' ispell-uk-$(VERSION)
 
 ispell-rpm:	srctar
 	bin/make_rpm.sh ispell-uk $(VERSION)
@@ -238,7 +247,7 @@
 	tar cfz $(DIST)/spell-uk-$(VERSION).tgz --exclude=test/all* --exclude=dist/*spell* --exclude=*.old --exclude=src_text --exclude=CVS --exclude=--exclude=.* *
 	mkdir -p $(DIST)/spell-uk-$(VERSION)
 	tar xCfz $(DIST)/spell-uk-$(VERSION) $(DIST)/spell-uk-$(VERSION).tgz
-	tar cCfz $(DIST) $(DIST)/spell-uk-$(VERSION).tgz spell-uk-$(VERSION)
+	tar cCfz $(DIST) $(DIST)/spell-uk-$(VERSION).tgz --owner=root --group=root spell-uk-$(VERSION)
 	rm -rf $(DIST)/spell-uk-$(VERSION)
