=== test/Makefile ===
--- 
+++ 
@@ -36,14 +36,17 @@
 	-[ -f all_aspell.srt.dups ] && mv -f all_aspell.srt.dups all_aspell.srt.dups.old
 	-[ -f Malyk.lst ] && mv -f Malyk.lst Malyk.lst.old
 	-[ -f ZN.lst ] && mv -f ZN.lst ZN.lst.old
+	-[ -f KDE.lst ] && mv -f KDE.lst KDE.lst.old
 
 text:
 	cat src_text/Malyk.txt | LC_ALL=uk_UA.UTF-8 aspell list -l uk --dict-dir=$(ASPELL_DICT) | LC_ALL=uk_UA.UTF-8 sort | LC_ALL=uk_UA.UTF-8 uniq -i > Malyk.lst
 	cat src_text/ZN.txt | LC_ALL=uk_UA.UTF-8 aspell list -l uk --dict-dir=$(ASPELL_DICT) | LC_ALL=uk_UA.UTF-8 sort | LC_ALL=uk_UA.UTF-8 uniq -i > ZN.lst
+	cat src_text/KDE.po | sed "s/&//g" | sed "s/’/'/g" | LC_ALL=uk_UA.UTF-8 aspell list -l uk --dict-dir=$(ASPELL_DICT) | LC_ALL=uk_UA.UTF-8 sort | LC_ALL=uk_UA.UTF-8 uniq -i > KDE.lst
 
 text_regtest:	text
 	-diff Malyk.lst.old Malyk.lst > Malyk.diff
 	-diff ZN.lst.old ZN.lst > ZN.diff
+	-diff KDE.lst.old KDE.lst > KDE.diff
 	
 
 reverse:	all_aspell.srt
