## ispell-uk 1.5.7

=== Makefile ===
--- 
+++ 
@@ -22,6 +22,9 @@
 MYSPELL_DOC_DIR = /usr/share/doc/ispell-uk_UA-$(VERSION)
 
 XPI_DIST = $(DIST)/mozilla-xpi-uk-$(VERSION)
+OXT_DIST = $(DIST)/openoffice.org-uk-$(VERSION)
+
+UPDATE_VERSION=sed -r "s/@VERSION@/$(VERSION)/g"
 
 
 #TODO: created this dirs only for particular target
@@ -29,6 +32,7 @@
 $(shell mkdir -p $(ISPELL_DIST))
 $(shell mkdir -p $(MYSPELL_DIST))
 $(shell mkdir -p $(XPI_DIST)/dictionaries)
+$(shell mkdir -p $(OXT_DIST))
 
 KOI8U_SET = koi8-u-nl.cset
 KOI8U_MAP = koi8-u-nl.cmap
@@ -40,9 +44,9 @@
 CLEANFILES += uk.aff uk.dic tmp.header
 CLEANFILES += ukrainian.aff ukrainian.hash uk_words.enc uk_words.enc.cnt uk_words.enc.stat ukrainian
 CLEANFILES += aspell-uk-*.tgz myspell_uk_UA-*.zip ispell-uk-*.tgz
-CLEANFILES += spell*.tgz
-
-CLEANDIRS = aspell-uk-* ispell-uk-* dist/*spell* dist/*mozilla*
+CLEANFILES += spell*.tgz dist/*.oxt
+
+CLEANDIRS = aspell-uk-* ispell-uk-* dist/*spell* dist/*mozilla* dist/*office*
 
 iconv	= iconv
 
@@ -50,16 +54,13 @@
 
 default:	aspell
 
-all: 		aspell myspell ispell
-
-packages:	aspell-rpm myspell-rpm myspell-zip mozilla-xpi
+all: 		aspell myspell
+
+packages:	aspell-rpm myspell-rpm myspell-zip mozilla-xpi ooo
 
 install:	install-aspell
 
-install-all:	install-aspell install-myspell install-ispell
-
-.PHONY: words affixes
-
+install-all:	install-aspell install-myspell
 
 #
 # aspell rules
@@ -71,11 +72,11 @@
 $(ASPELL_DIST)/uk_repl.dat:
 	cp -u uk_repl.dat $(ASPELL_DIST)
 
-affixes:
-	make -C src/Affix
-
-words:
-	make -C src/Dictionary
+$(affixfile_src):
+	$(MAKE) -C src/Affix
+
+$(wordlist_src):
+	$(MAKE) -C src/Dictionary
 
 
 aspell-tar:	$(DIST)/aspell-uk-$(VERSION).tgz
@@ -108,7 +109,7 @@
 uk.cwl.gz:	uk.cwl
 	gzip -9 < uk.cwl > uk.cwl.gz
 
-$(ASPELL_DIST)/uk.rws:	affixes words $(wordlist_src) $(ASPELL_DIST)/uk_affix.dat $(ASPELL_DIST)/uk.dat $(KOI8U_SET) $(KOI8U_MAP)
+$(ASPELL_DIST)/uk.rws:	$(affixfile_src) $(wordlist_src) $(ASPELL_DIST)/uk_affix.dat $(ASPELL_DIST)/uk.dat $(KOI8U_SET) $(KOI8U_MAP)
 	cp -u $(KOI8U_SET) $(KOI8U_MAP) $(ASPELL_DIST)
 	cat $(wordlist_src) | $(iconv) -f $(SOURCE_ENC) -t $(ASPELL_ENC) | \
 	    aspell --local-data-dir=$(ASPELL_DIST) --lang=uk create master ./$@
@@ -174,8 +175,30 @@
 	cp $(MYSPELL_DIST)/uk_UA.dic $(XPI_DIST)/dictionaries/uk-UA.dic
 	cat src/mozilla/README_uk_UA.txt.header src/myspell/README_uk_UA.txt > $(XPI_DIST)/dictionaries/README_uk_UA.txt
 	cp COPYING.LGPL $(XPI_DIST)/dictionaries/
-	cp src/mozilla/install* $(XPI_DIST)
-	cd $(XPI_DIST) && zip -r ukrainian_dictionary-$(VERSION)-fx+zm+tb.xpi * && cd ..
+	$(UPDATE_VERSION) < src/mozilla/install.js > $(XPI_DIST)/install.js
+	$(UPDATE_VERSION) < src/mozilla/install.rdf > $(XPI_DIST)/install.rdf
+	cd $(XPI_DIST) && zip -r ../ukrainian_dictionary-$(VERSION)-mozilla.xpi * && cd ..
+#	cp src/mozilla/install* $(XPI_DIST)
+
+ooo:	myspell
+	cp -r src/openoffice.org/* $(OXT_DIST)
+	$(UPDATE_VERSION) < src/openoffice.org/description.xml > $(OXT_DIST)/description.xml
+	cp $(MYSPELL_DIST)/uk_UA.aff $(OXT_DIST)/uk_UA/
+	cp $(MYSPELL_DIST)/uk_UA.dic $(OXT_DIST)/uk_UA/
+	cp src/myspell/README_uk_UA.txt $(OXT_DIST)/uk_UA/
+	cp src/thesaurus/th_uk_UA.dat $(OXT_DIST)/uk_UA/
+	bin/th_gen_idx.pl < src/thesaurus/th_uk_UA.dat > $(OXT_DIST)/uk_UA/th_uk_UA.idx
+	-rm *.oxt
+	cd $(OXT_DIST) && zip --exclude=\*CVS\* -r ../dict-uk_UA-$(VERSION).oxt * && cd ..
+
+# for myspell engine (Firefox <=2, Thunderbird <=2...)
+mozilla-xpi-old:	myspell
+	grep -v "IGNORE" $(MYSPELL_DIST)/uk_UA.aff | sed "s/$(MYSPELL_ENC_NAME)/KOI8-U/" | iconv -f $(MYSPELL_ENC) -t koi8-u > $(XPI_DIST)/dictionaries/uk-UA.aff
+	cat $(MYSPELL_DIST)/uk_UA.dic | iconv -f $(MYSPELL_ENC) -t koi8-u > $(XPI_DIST)/dictionaries/uk-UA.dic
+	cat src/mozilla/old/README_uk_UA.txt.header src/myspell/README_uk_UA.txt > $(XPI_DIST)/dictionaries/README_uk_UA.txt
+	cp COPYING.LGPL $(XPI_DIST)/dictionaries/
+	cp src/mozilla/old/install* $(XPI_DIST)
+	cd $(XPI_DIST) && zip -r ukrainian_dictionary-$(VERSION)-mozilla-old.xpi dictionaries install.* && cd ..
 
 #
 # ispell rules
@@ -237,14 +260,14 @@
 # regression test
 #
 regtest:	aspell $(wordlist_src)
-	make -C test regtest
+	$(MAKE) -C test regtest
 
 regtestroll:
-	make -C test regtestroll
+	$(MAKE) -C test regtestroll
 
 
 srctar: clean
-	tar cfz $(DIST)/spell-uk-$(VERSION).tgz --exclude=test/all* --exclude=dist/*spell* --exclude=*.old --exclude=src_text --exclude=CVS --exclude=--exclude=.* *
+	tar cfz $(DIST)/spell-uk-$(VERSION).tgz --exclude=test/all* --exclude=dist/*spell* --exclude=dist/*openoffice* --exclude=dist/*.oxt --exclude=*.old --exclude=src_text --exclude=CVS --exclude=--exclude=.* *
 	mkdir -p $(DIST)/spell-uk-$(VERSION)
 	tar xCfz $(DIST)/spell-uk-$(VERSION) $(DIST)/spell-uk-$(VERSION).tgz
 	tar cCfz $(DIST) $(DIST)/spell-uk-$(VERSION).tgz --owner=root --group=root spell-uk-$(VERSION)
