## ispell-uk 1.6.0

=== Makefile ===
--- 
+++ 
@@ -162,6 +162,7 @@
 
 # myspell dependencies
 $(MYSPELL_DIST)/uk_UA.aff:	$(affixfile_src) src/myspell/myspell.header encodings.inc
+	mkdir -p $(MYSPELL_DIST)
 	sed s/xxENCODINGxx/UTF-8/ < src/myspell/myspell.header > tmp.header
 	cat tmp.header $(affixfile_src) | $(iconv) -f $(SOURCE_ENC) -t $(MYSPELL_ENC) > $@
 	-rm tmp.header
@@ -171,6 +172,7 @@
 	cat $(wordlist_src) | $(iconv) -f $(SOURCE_ENC) -t $(MYSPELL_ENC) >> $@
 
 mozilla-xpi:	myspell
+	mkdir -p $(XPI_DIST)/dictionaries
 	cp $(MYSPELL_DIST)/uk_UA.aff $(XPI_DIST)/dictionaries/uk-UA.aff
 	cp $(MYSPELL_DIST)/uk_UA.dic $(XPI_DIST)/dictionaries/uk-UA.dic
 	cat src/mozilla/README_uk_UA.txt.header src/myspell/README_uk_UA.txt > $(XPI_DIST)/dictionaries/README_uk_UA.txt
@@ -181,6 +183,7 @@
 #	cp src/mozilla/install* $(XPI_DIST)
 
 ooo:	myspell
+	mkdir -p $(OXT_DIST)
 	cp -r src/openoffice.org/* $(OXT_DIST)
 	$(UPDATE_VERSION) < src/openoffice.org/description.xml > $(OXT_DIST)/description.xml
 	cp $(MYSPELL_DIST)/uk_UA.aff $(OXT_DIST)/uk_UA/
