=== src/Affix/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 
 affixfile = uk_affix.dat
-src_affixfiles = uk.aff.ADJ uk.aff.NOUN uk.aff.VERB uk.aff.VERB_REV uk.aff.PREFIX uk.REP
+src_affixfiles = uk.REP uk.aff.ADJ uk.aff.NOUN uk.aff.VERB uk.aff.VERB_REV uk.aff.PREFIX
 
 CLEANFILES = $(affixfile) uk.aff.VERB_REV
