## ispell-uk 1.6.5

=== Makefile ===
--- 
+++ 
@@ -34,8 +34,8 @@
 $(shell mkdir -p $(XPI_DIST)/dictionaries)
 $(shell mkdir -p $(OXT_DIST))
 
-KOI8U_SET = koi8-u-nl.cset
-KOI8U_MAP = koi8-u-nl.cmap
+KOI8U_SET = src/aspell/koi8-u-nl.cset
+KOI8U_MAP = src/aspell/koi8-u-nl.cmap
 
 wordlist_src = src/Dictionary/uk_words.lst
 affixfile_src = src/Affix/uk_affix.dat
@@ -54,7 +54,7 @@
 
 default:	aspell
 
-all: 		aspell myspell
+all: 		aspell myspell mozilla-xpi ooo
 
 packages:	aspell-rpm myspell-rpm myspell-zip mozilla-xpi ooo
 
@@ -66,11 +66,11 @@
 # aspell rules
 # 
 #aspell:		$(ASPELL_DIST)/uk.rws $(ASPELL_DIST)/uk_affix.dat $(ASPELL_DIST)/uk.dat uk.multi ukrainian.alias $(ASPELL_DIST)/ukrainian.kbd
-aspell:		$(ASPELL_DIST)/uk.rws $(ASPELL_DIST)/uk.dat uk.multi ukrainian.alias $(ASPELL_DIST)/ukrainian.kbd
-	cp -u uk.multi ukrainian.alias $(ASPELL_DIST)
+aspell:		$(ASPELL_DIST)/uk.rws $(ASPELL_DIST)/uk.dat src/aspell/uk.multi src/aspell/ukrainian.alias $(ASPELL_DIST)/ukrainian.kbd
+	cp -u src/aspell/uk.multi src/aspell/ukrainian.alias $(ASPELL_DIST)
 
 $(ASPELL_DIST)/uk_repl.dat:
-	cp -u uk_repl.dat $(ASPELL_DIST)
+	cp -u src/aspell/uk_repl.dat $(ASPELL_DIST)
 
 $(affixfile_src):
 	$(MAKE) -C src/Affix
@@ -120,11 +120,11 @@
 #$(ASPELL_DIST)/uk_words.lst:	$(wordlist_src) encodings.inc
 #	$(iconv) -f $(SOURCE_ENC) -t $(ASPELL_ENC) < $(wordlist_src) > $@
 
-$(ASPELL_DIST)/uk.dat:		uk.dat.templ encodings.inc
-	sed "s/^data-encoding.*$$/data-encoding   $(ASPELL_ENC_NAME)/" < uk.dat.templ > $@
+$(ASPELL_DIST)/uk.dat:		src/aspell/uk.dat.templ encodings.inc
+	sed "s/^data-encoding.*$$/data-encoding   $(ASPELL_ENC_NAME)/" < src/aspell/uk.dat.templ > $@
 
 # *.kbd file should be always in UTF-8
-$(ASPELL_DIST)/ukrainian.kbd:	ukrainian.kbd
+$(ASPELL_DIST)/ukrainian.kbd:	src/aspell/ukrainian.kbd
 	cp -u $< $@
 
 # official aspell.net package
@@ -175,8 +175,9 @@
 	mkdir -p $(XPI_DIST)/dictionaries
 	cp $(MYSPELL_DIST)/uk_UA.aff $(XPI_DIST)/dictionaries/uk-UA.aff
 	cp $(MYSPELL_DIST)/uk_UA.dic $(XPI_DIST)/dictionaries/uk-UA.dic
-	cat src/mozilla/README_uk_UA.txt.header src/myspell/README_uk_UA.txt > $(XPI_DIST)/dictionaries/README_uk_UA.txt
-	cp COPYING.LGPL $(XPI_DIST)/dictionaries/
+	cat src/mozilla/README_uk_UA.txt.header src/myspell/README_uk_UA.txt > $(XPI_DIST)/README_uk_UA.txt
+	cp COPYING.LGPL $(XPI_DIST)/
+	cp src/mozilla/*.png $(XPI_DIST)/
 	$(UPDATE_VERSION) < src/mozilla/install.js > $(XPI_DIST)/install.js
 	$(UPDATE_VERSION) < src/mozilla/install.rdf > $(XPI_DIST)/install.rdf
 	cd $(XPI_DIST) && zip -r ../ukrainian_dictionary-$(VERSION)-mozilla.xpi * && cd ..
@@ -270,7 +271,7 @@
 
 
 srctar: clean
-	tar cfz $(DIST)/spell-uk-$(VERSION).tgz --exclude=test/all* --exclude=dist/*spell* --exclude=dist/*openoffice* --exclude=dist/*.oxt --exclude=*.old --exclude=src_text --exclude=CVS --exclude=--exclude=.* *
+	tar cfz $(DIST)/spell-uk-$(VERSION).tgz --exclude=test/all* --exclude=dist/*spell* --exclude=dist/*openoffice* --exclude=dist/*.oxt --exclude=*.old --exclude=src_text --exclude=CVS --exclude=--exclude=.* --exclude=tools *
 	mkdir -p $(DIST)/spell-uk-$(VERSION)
 	tar xCfz $(DIST)/spell-uk-$(VERSION) $(DIST)/spell-uk-$(VERSION).tgz
 	tar cCfz $(DIST) $(DIST)/spell-uk-$(VERSION).tgz --owner=root --group=root spell-uk-$(VERSION)
