=== test/Makefile ===
--- 
+++ 
@@ -14,7 +14,11 @@
 DIST = ../dist
 ASPELL_DIST = $(DIST)/aspell-uk-$(VERSION)
 ASPELL_DICT = $(shell pwd)/../dist/aspell-uk-$(VERSION)
+MYSPELL_DICT = $(shell pwd)/../dist/myspell-uk-$(VERSION)/uk_UA | grep "[а-яіїєґ]"
 
+
+LIST_CMD=LC_ALL=uk_UA.UTF-8 aspell list -l uk --dict-dir=$(ASPELL_DICT)
+#LIST_CMD=hunspell -l -d $(MYSPELL_DICT)
 
 all: 	regtest-aspell
 
@@ -37,16 +41,19 @@
 	-[ -f Malyk.lst ] && mv -f Malyk.lst Malyk.lst.old
 	-[ -f ZN.lst ] && mv -f ZN.lst ZN.lst.old
 	-[ -f KDE.lst ] && mv -f KDE.lst KDE.lst.old
+	-[ -f ukr_lit.lst ] && mv -f ukr_lit.lst ukr_lit.lst.old
 
 text:
-	cat src_text/Malyk.txt | LC_ALL=uk_UA.UTF-8 aspell list -l uk --dict-dir=$(ASPELL_DICT) | LC_ALL=uk_UA.UTF-8 sort | LC_ALL=uk_UA.UTF-8 uniq -i > Malyk.lst
-	cat src_text/ZN.txt | LC_ALL=uk_UA.UTF-8 aspell list -l uk --dict-dir=$(ASPELL_DICT) | LC_ALL=uk_UA.UTF-8 sort | LC_ALL=uk_UA.UTF-8 uniq -i > ZN.lst
-	cat src_text/KDE.po | sed "s/&//g" | sed "s/’/'/g" | LC_ALL=uk_UA.UTF-8 aspell list -l uk --dict-dir=$(ASPELL_DICT) | LC_ALL=uk_UA.UTF-8 sort | LC_ALL=uk_UA.UTF-8 uniq -i > KDE.lst
+	cat src_text/Malyk.txt | $(LIST_CMD) | LC_ALL=uk_UA.UTF-8 sort | LC_ALL=uk_UA.UTF-8 uniq -i > Malyk.lst
+	cat src_text/ZN.txt | $(LIST_CMD) | LC_ALL=uk_UA.UTF-8 sort | LC_ALL=uk_UA.UTF-8 uniq -i > ZN.lst
+	cat src_text/KDE.po | sed "s/&//g" | sed "s/’/'/g" | sed -r "s/\\[a-z]//g" | $(LIST_CMD) | LC_ALL=uk_UA.UTF-8 sort | LC_ALL=uk_UA.UTF-8 uniq -i > KDE.lst
+	cat src_text/ukr_lit.txt | sed "s/’/'/g" | $(LIST_CMD) | LC_ALL=uk_UA.UTF-8 sort | LC_ALL=uk_UA.UTF-8 uniq -i > ukr_lit.lst
 
 text_regtest:	text
 	-diff Malyk.lst.old Malyk.lst > Malyk.diff
 	-diff ZN.lst.old ZN.lst > ZN.diff
 	-diff KDE.lst.old KDE.lst > KDE.diff
+	-diff ukr_lit.lst.old ukr_lit.lst > ukr_lit.diff
 	
 
 reverse:	all_aspell.srt
