=== debian/changelog ===
ispell-uk (1.6.5-2) unstable; urgency=low

  * Raise {build-,}dependency on dictionaries-common{-dev,} to 1.11.2~.
  * Use auto-compat option for aspell-uk and do not create empty files
    (closes: #638740)

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 21 Aug 2011 18:42:59 +0200

ispell-uk (1.6.5-1) unstable; urgency=low

  * New upstream release
  * Standards-Version 3.9.2 — no changes required
  * Suggest libreoffice instead of openoffice.org for myspell-uk

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 12 Jun 2011 17:02:17 +0200

ispell-uk (1.6.0-2) unstable; urgency=low

  * Build-depend and depend (for iukrainian) on ispell (>= 3.3.02~).
  * Standards-version 3.9.1 — no changes required.
  * Use source format 3.0 (quilt).
  * Use qa.debian.org redirector in watch file and remove lintian overrides.

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 30 Mar 2011 18:34:05 +0200

ispell-uk (1.6.0-1) unstable; urgency=low

  * New upstream release

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 27 Aug 2009 12:52:05 +0200

ispell-uk (1.5.7-3) unstable; urgency=low

  * Install myspell dictionary under /usr/share/hunspell and
    add compat symlinks (closes: #541917)
  * Standards-Version 3.8.3 - no changes required
  * Update debian/watch

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 17 Aug 2009 02:06:32 +0200

ispell-uk (1.5.7-2) unstable; urgency=low

  * Add Vcs-{Git,Browser} fields into debian/control
  * Install myspell dictionary as uk_UA.{aff,dic} and add symlinks
    uk.{aff,dic}. This fixes problem with newer OO.o (closes: #517780)
  * Remove all references to aspell-ukr from debian/control
  * Do not conflict with ancient version of openoffice.org

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 02 Mar 2009 15:57:59 +0100

ispell-uk (1.5.7-1) unstable; urgency=low

  * New upstream release
  * Use debhelper version 7
  * Add homepage filed to debian/control
  * Update debian/copyright
  * Make build-dependancy on locales versioned to avoid FTBFS with only
    locales-all installed
  * Override lintian warning debian-watch-file-should-use-sf-redirector

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 15 Feb 2009 23:18:50 +0100

ispell-uk (1.5.5-1) unstable; urgency=low

  * New upstream release
  * Standards-Version 3.8.0 - no changes required
  * Add debian/watch
  * Do not call build-{arch,indep} rules from binary-{arch,indep} directly
    in debian/rules

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 24 Sep 2008 18:10:29 +0200

ispell-uk (1.5.0-1) unstable; urgency=low

  * New upstream release
  * Use debhelper 6

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Mon, 21 Jan 2008 14:09:57 +0100

ispell-uk (1.4.9-1) unstable; urgency=low

  * New upstream release
  * Standards-Version 3.7.3 - no changes required
  * Remove build-dependency on perl - it was not really needed
  * Update debian/copyright

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sun, 06 Jan 2008 18:12:26 +0100

ispell-uk (1.4.0-3) unstable; urgency=low

  * Build-depend on perl; this should fix FTBFS on m68k

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Tue, 04 Dec 2007 15:59:00 +0100

ispell-uk (1.4.0-2) unstable; urgency=low

  * Use $(MAKE) for calling make in the upstream Makefile
  * Fix dependencies in the upstream Makefile, this should fix parallel build.
    Thanks to Daniel Schepler for testing this
  * Do not ignore $(MAKE) clean error. Thanks to lintian

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Mon, 03 Dec 2007 15:17:26 +0100

ispell-uk (1.4.0-1) unstable; urgency=low

  * New upstream release

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Fri, 01 Jun 2007 00:34:13 +0200

ispell-uk (1.3.3-1) unstable; urgency=low

  * New upstream release
  * Do not build transitional package aspell-ukr anymore
  * Use UTF-8 for wordlist and aspell dictionary

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Thu, 12 Apr 2007 22:31:52 +0200

ispell-uk (1.3.1-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright
  * Standards-Version 3.7.2, no additional changes required

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Mon, 12 Feb 2007 11:23:07 +0100

ispell-uk (1.1-1) unstable; urgency=low

  * New upstream release.
  * Add aspell-uk binary package that Conflicts: and Replaces: old
  aspell-ukr package (also closes: #324496).
  * Add aspell-ukr transitional package that depends on aspell-uk.
  * Use debhelper compatibility level 5.

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Wed,  9 Nov 2005 16:27:47 +0200

ispell-uk (0.7+cvs20040610-2) unstable; urgency=low

  * Standards version 2.6.2.
  * Use @debian.org address in the Maintainer field.
  * Fix spelling of some words (derivatives of 'ґрунт').
  * Set locale to 'C' in debian/rules.

 -- Eugeniy Meshcheryakov <eugen@debian.org>  Sat,  2 Jul 2005 18:35:57 +0300

ispell-uk (0.7+cvs20040610-1) unstable; urgency=low

  * Initial Release (Closes: #254053).

 -- Eugeniy Meshcheryakov <eugen@univ.kiev.ua>  Sat, 10 Jul 2004 19:58:40 +0300
