=== debian/control ===
Source: ispell-uk
Section: text
Priority: optional
Maintainer: Євгеній Мещеряков <eugen@debian.org>
Build-Depends: debhelper (>= 7.0.0), dictionaries-common-dev (>= 1.11.2~), ispell (>= 3.3.02~), aspell (>= 0.60.3-3), locales (>> 2)
Standards-Version: 3.9.2
Homepage: http://ispell-uk.sourceforge.net
Vcs-Git: git://git.debian.org/collab-maint/ispell-uk.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ispell-uk.git

Package: iukrainian
Architecture: any
Depends: dictionaries-common (>= 1.11.2~), ispell (>= 3.3.02~), ${misc:Depends}
Suggests: wukrainian
Provides: ispell-dictionary
Description: Ukrainian dictionary for ispell
 This is a Ukrainian dictionary, to be used with the ispell program.

Package: wukrainian
Architecture: all
Depends: dictionaries-common (>= 1.11.2~), ${misc:Depends}
Provides: wordlist
Description: Ukrainian dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/ukrainian
 containing a list of Ukrainian words.  This list can be used by
 spelling checkers, and by programs such as look(1).

Package: myspell-uk
Architecture: all
Depends: dictionaries-common (>= 1.11.2~), ${misc:Depends}
Provides: myspell-dictionary, myspell-dictionary-uk
Suggests: libreoffice
Description: Ukrainian dictionary for myspell
 This is the Ukrainian dictionary for use with the myspell
 spellchecker which is currently used within OpenOffice.org and the
 mozilla spellchecker.

Package: aspell-uk
Architecture: all
Depends: aspell (>= 0.60.3-3), dictionaries-common (>= 1.11.2~), ${misc:Depends}
Provides: aspell-dictionary
Description: Ukrainian dictionary for GNU Aspell
 This package contains all the required files to add support for the
 Ukrainian language to the GNU Aspell spell checker.
