=== debian/watch ===
version=3
http://sf.net/ispell-uk/spell-uk-(.*)\.tgz
